LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Acidrip error message (http://www.linuxquestions.org/questions/linux-software-2/acidrip-error-message-291532/)

Linux.tar.gz 02-17-2005 04:49 PM

Acidrip error message
 
Hi i got previouses messages, but i solve them by copying right files at right place. Now i don't know what to do. It was working fine before my upgrade from 10.0 to 10.1.

Can't locate loadable object for module Glib in @INC (@INC contains: /usr/lib/perl5/5.8.6/i486-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i486-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/site_perl/5.8.4/Gtk2.pm line 30
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.4/Gtk2.pm line 30.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.4/Gtk2.pm line 30.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.4/AcidRip/interface.pm line 1.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.4/AcidRip/interface.pm line 1.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.4/AcidRip/acidrip.pm line 7.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.4/AcidRip/acidrip.pm line 7.
Compilation failed in require at /usr/bin/acidrip line 14.
BEGIN failed--compilation aborted at /usr/bin/acidrip line 14.

david_ross 02-17-2005 05:07 PM

You can install Glib from cpan. As root run:
perl -MCPAN -eshell

Then at the "cpan>" prompt run:
install Glib

Linux.tar.gz 02-17-2005 11:05 PM

I had to build Gtk2 too with this command:
force install Gtk2
Thank you very much.

Freaksta 05-15-2005 09:07 PM

I have the same problem, I installed ExtUtils::Depends and ExtUtils::PkgConfig as prerequisites to Glib, but now when I install Glib I get this:

Including ApiDoc pod...
Deleting Glib from doc.pl's $data
*** can not find package gobject-2.0 >= 2.0.0
*** check that it is properly installed and available in PKG_CONFIG_PATH
at Makefile.PL line 78
Running make test
Make had some problems, maybe interrupted? Won't test
Running make install
Make had some problems, maybe interrupted? Won't install

cpan>


All times are GMT -5. The time now is 04:54 AM.